dpkg-source(1)

NAZWA
dpkg-source - narzędzia do zarządzania źródłowymi pakietami Debiana (.dsc)

SKŁADNIA
dpkg-source [opcje] polecenie

OPIS
dpkg-source tworzy i rozpakowuje źródłowe archiwa (pakiety) Debiana. Żadne z tych poleceń nie pozwala na łączenie wielu opcji w jedną, nie pozwalają również na podawanie wartości opcji jako oddzielnego parametru.

POLECENIA

-x nazwa-pliku.dsc [katalog-wyjściowy]
    Rozpakowanie pakietu źródłowego. Wymagane jest podanie jednego argumentu nie będącego opcją, nazwy pliku kontrolny pakietu źródłowego (.dsc). Ponadto może być podany drugi opcjonalny argument niebędący opcją, określający katalog, do którego pakiet źródłowy ma zostać rozpakowany (katalog ten nie może istnieć). Jeśli nie podano katalogu wyjściowego, pakiet źródłowy jest rozpakowywany do katalogu o nazwie źródło-wersja w ramach bieżącego katalogu roboczego. dpkg-source odczyta nazwy innych plików tworzących pakiet źródłowy z pliku kontrolnego; zakładane jest, że są one w tym samym katalogu co .dsc. Pliki w rozpakowanym pakiecie będą mieć uprawnienia i właściciela zgodnie z typowymi, oczekiwanymi wartościami jak przy zwykłym tworzeniu plików i katalogów - katalogi i pliki wykonywalne będą mieć prawa 0777, zaś zwykłe pliki będą mieć prawa 0666 (w obu przypadkach modyfikowane przez umask rozpakowującego). Ponadto jeśli katalog nadrzędny ma ustawiony bit setgid, rozpakowane katalogi także będą go mieć, zaś wszystkie pliki i katalogi przejmą ustawienia grupy katalogu nadrzędnego. Jeśli pakiet źródłowy używa niestandardowego formatu (aktualnie oznacza to wszystkie formaty poza "1.0"), jego nazwa będzie umieszczona w pliku debian/source/format. Dzięki temu przy następnych budowach pakietu źródłowego będzie domyślnie używany ten sam format.

-b, katalog [parametry-zależne-od-formatu]
    Budowanie pakietu źródłowego. Pierwszy argument nie będący opcją przyjmowany jest jako nazwa katalogu zdebianizowanego drzewa ze źródłami (czyli zawierającego podkatalog "debian" i być może zmiany w stosunku do oryginalnych plików). Zależnie od formatu pakietu źródłowego używanego przy budowaniu pakietu, mogą być również akceptowane dodatkowe parametry. dpkg-source will build the source package with the first format that works from this ordered list: the format(s) indicated with the --format command-line option(s), the format indicated in debian/source/format, "1.0", "3.0 (quilt)", "3.0 (native)". See section SOURCE PACKAGE FORMATS for an extensive description of the various source package formats.

--print-format directory
    Print the source format that would be used to build the source package if dpkg-source -b directory was called (in the same conditions and with the same parameters). In particular it's important that the upstream tarball (if any) can be found in the current directory.

-h, --help
    Wyświetla informację o użytkowaniu i kończy działanie.

--version
    Wyświetla informację o wersji i pomyślnie kończy działanie.

OGÓLNE OPCJE BUDOWANIA

-cplik_kontrolny
    Określa główny plik kontrolny źródeł, z którego będą czytane informacje. Domyślnie jest to debian/control. Jeśli podano względną ścieżkę, to jest ona interpretowana od najwyższego poziomu katalogu drzewa ze źródłami.

-ldziennik_zmian
    Określa dziennik zmian, z którego będą czytane informacje. Domyślnie jest to debian/changelog. Jeśli podano względną ścieżkę, to jest ona interpretowana od najwyższego poziomu katalogu drzewa ze źródłami.

-Fformat_dziennika_zmian
    Określa format dziennika zmian. Domyślnie format jest czytany ze specjalnej linii znajdującej się przy końcu pliku lub - jeśli taka linia nie istnieje - używany jest standardowy format Debiana.

--format=wartość
    Do budowy pakietu źródłowego próbowany jest najpierw podany format. Jeśli opcja ta jest użyta wielokrotnie, formaty są próbowane w podanej kolejności. Nadpisuje to każdy format podany w pliku debian/source/format.

-Vnazwa=wartość
    Ustawia zmienną podstawienia wyjścia. Szczegółowy opis podstawiania zmiennych wyjściowych znajduje się w deb-substvars(5).

-Tplik_zmiennych_podst
    Czyta zmienne podstawiania z pliku_zmiennych_podst; domyślnie nie czyta żadnego pliku.

-Dpole=wartość
    Nadpisuje lub dodaje wyjściowe pole pliku kontrolnego.

-Upole
    Usuwa wyjściowe pole pliku kontrolnego.

-Zcompression, --compression=compression
    Specify the compression to use for created files (tarballs and diffs). Note that this option will not cause existing tarballs to be recompressed, it only affects new files. Supported values are: gzip, bzip2, lzma and xz. gzip is the default. xz is only supported since dpkg-dev 1.15.5.

-zlevel, --compression-level=level
    Używany poziom kompresowania. Podobnie jak w wypadki -Z, dotyczy tylko nowo tworzonych plików. Obsługiwane wartości: 1 do 9, best oraz fast. 9 jest wartością domyślną.

-i[wyraż_regularne]
    Można podać wyrażenie regularne Perla pasujące do listy plików, które mają nie być uwzględniane podczas tworzenia pliku różnic (lista ta jest tworzona poleceniem find). (Jeśli zaś pakiet źródłowy jest budowany w formacie 3.0 z użyciem systemu kontroli wersji, jest ono używane to ignorowania niezatwierdzonych plików. Użycie -i.* pozwala zignorować wszystkie takie plik.) -i podane bez żadnych argumentów włącza tę opcję, domyślnie odfiltrowując pliki kontrolne i katalogi najpopularniejszych systemów kontroli wersji, kopie zapasowe, pliki wymiany oraz katalogi wyjściowe narzędzia libtool. Tylko jedno wyrażenie regularne może być aktywne, jeśli opcję -i podano kilkakrotnie, to tylko ostatnia z nich będzie wzięta pod uwagę. Jest to bardzo przydatne do wykluczania nieistotnych plików, które zostałyby włączone do pliku różnic (diff). Przykładem może być sytuacja, gdzie kod źródłowy jest zarządzany przez system kontroli wersji i kod pobrany z repozytorium ma być użyty do zbudowania pakietu źródłowego, bez włączania w to dodatkowych plików i katalogów związanych z obsługą repozytorium (np. CVS/, .cvsignore, .svn/). Domyślne wyrażenie regularne jest już całkiem obszerne, ale jeśli istnieje potrzeba zastąpienia go, należy zauważyć że domyślnie może ono pasować do dowolnej części ścieżki - dlatego w celu dopasowania do początku nazwy pliku lub jedynie pełnych nazw plików, konieczne jest samodzielne użycie odpowiednich wyrażeń (np. "(^|/)", czy "($|/)").

-I [wzorzec-pliku]
    Po podaniu tej opcji, wzorzec będzie przekazany jako parametr dla --exclude polecenia tar(1), używanego do stworzenia archiwum .orig.tar lub .tar. Na przykład, -ICVS powoduje, że tar będzie pomijał katalogi CVS przy tworzeniu pliku .tar.gz. Ta opcja może być podana wielokrotnie w celu określenia wielu wzorców wykluczeń. Samo -I podane bez żadnych argumentów ustawia opcje --exclude, domyślnie odfiltrowując pliki kontrolne i katalogi najpopularniejszych systemów kontroli wersji, kopie zapasowe, pliki wymiany oraz katalogi wyjściowe libtoola.

Uwaga: Mimo, że mają podobne przeznaczenie, opcje -i oraz -I mają całkiem odmienną składnię i semantykę. -i może być podana tylko raz i przyjmuje wyrażenie regularne Perla, które jest dopasowywane do pełnej ścieżki względnej każdego pliku. -I może być podana wielokrotnie i przyjmuje wzorzec nazw plików wraz ze znakami specjalnymi powłoki (wildcards). Wzorzec jest dopasowywany do pełnej ścieżki względnej, ale również indywidualnie do każdej części ścieżki. Pełna semantyka opcji --exclude programu tar jest nieco skomplikowana, proszę sprawdzić http://www.gnu.org/software/tar/manual/tar.html#wildcards w celu uzyskania dokładnych informacji. Domyślne wyrażenia regularne i wzorce dla obu opcji można znaleźć w wyjściu polecenia --help.

OGÓLNE OPCJE ROZPAKOWYWANIA

--no-copy
    Nie kopiuje oryginalnych archiwów obok rozpakowanego pakietu źródłowego.

--no-check
    Bez weryfikacji podpisów i sprawdzania sum kontrolnych przed rozpakowaniem.

--require-valid-signature
    Powoduje odmowę rozpakowania pakietu źródłowego, jeśli nie zawiera on podpisu OpenPGP, który mógłby być zweryfikowany przez klucze użytkownika z pliku trustedkeys.gpg, jeden z kluczy twórców pakietu, lub jeden z oficjalnych kluczy Debiana (/usr/share/keyrings/debian-keyring.gpg oraz /usr/share/keyrings/debian-maintainers.gpg).

FORMATY PAKIETÓW ŹRÓDŁOWYCH
If you don't know what source format you should use, you should probably pick either "3.0 (quilt)" or "3.0 (native)". They will become the default formats in the near future. See http://wiki.debian.org/Projects/DebSrc3.0 for information on the deployment of those formats within Debian.

  Format: 1.0
Pakiet źródłowy w tym formacie składa się z pliku .orig.tar.gz powiązanego z plikiem różnic .diff.gz, lub z pojedynczego pliku .tar.gz (w takim przypadku mówi się, że pakiet jest natywny). Rozpakowywanie Rozpakowanie pakietu natywnego to proste rozpakowanie pojedynczego pliku archiwum w katalogu docelowym. Rozpakowanie pakietu w stylu Debiana (non-native) odbywa się poprzez najpierw rozpakowanie pliku .orig.tar.gz a następnie nałożenia łatek zawartych w pliku .diff.gz. Czasy modyfikacji wszystkich łatanych plików są ustawiane na wartość odpowiadającą czasowi rozpakowania pakietu źródłowego (zapobiega to przesunięciom czasów, które prowadzą do problemów przy łataniu plików generowanych automatycznie). Plik różnic (diff) może tworzyć nowe pliki (cały katalog "debian" jest tak tworzony), ale nie może usuwać plików (pozostawiane są puste pliki o zerowej długości). Budowanie Budowanie pakietu natywnego to proste stworzenie pojedynczego pliku archiwum z katalogu źródeł. Budowanie pakietu w stylu Debiana (non-native) obejmuje rozpakowanie oryginalnego archiwum do oddzielnego katalogu z przyrostkiem ".orig" i regenerację pliku .diff.gz poprzez porównanie katalogu pakietu źródłowego z katalogiem ".orig".

Opcje budowania (z -b):

Buduje pakiet źródłowy. Należy podać jeden lub dwa argumenty, nie będące opcjami. Pierwszym z nich jest nazwa katalogu zawierającego rozpakowane źródła. Jeżeli podano drugi argument, to powinien on być nazwą oryginalnego katalogu ze źródłami lub archiwum tar albo pustym łańcuchem znaków, jeśli pakiet jest specyficzny dla Debiana i nie ma pliku różnic. Jeżeli nie podano drugiego argumentu, to dpkg-source - w zależności od argumentów -sX - będzie szukał albo archiwum tar z oryginalnymi źródłami pakiet_wersja_upstream.orig.tar.rozszerzenie (gdzie rozszerzenie jest jednym z gz,bz2 lub lzma), albo katalogu z oryginalnymi źródłami katalog.orig. -sa, -sp, -sk, -su oraz -sr nie nadpiszą istniejących archiwów tar lub katalogów. Jeśli jest to wymagane, należy użyć -sA, -sP, -sK, -sU i -sR.

-sk Określa, że należy spodziewać się oryginalnych źródeł w postaci archiwum tar, domyślnie pakiet_wersja-autora-pakietu.orig.tar.rozszerzenie. Pozostawia oryginalne źródła w tym samym miejscu jako plik tar lub kopiuje je do bieżącego katalogu jeśli jeszcze ich tam nie ma. Archiwum będzie rozpakowane do katalogu.orig w celu utworzenia pliku różnic (diff).

-sp Jak -sk, ale ponownie usunie katalog po zakończeniu.

-su Określa, że należy spodziewać się oryginalnych źródeł w postaci katalogu, domyślnie pakiet-wersja-autora-pakietu.orig, na podstawie którego dpkg-source utworzy nowe archiwum oryginalnych źródeł.

-sr Jak -su, jednakże usunie katalog po jego użyciu.

-ss Określa, że oryginalne źródła są dostępne zarówno jako katalog oraz jako archiwum tar. dpkg-source będzie utworzy plik różnic na podstawie katalogu, ale użyje pliku tar do utworzenia pliku .dsc. Należy używać tej opcji z rozwagą - jeśli katalog oraz plik tar sobie nie odpowiadają, zostanie wygenerowane niepoprawne archiwum źródłowe.

-sn Określa aby nie szukać żadnych oryginalnych źródeł, ani nie generować pliku różnic. Jeśli jest podany drugi argument, musi on być pustym ciągiem znaków. Jest to używane dla pakietów specyficznych dla Debiana, które nie mają oddzielnych źródeł i w związku z tym nie mają debianizujących plików różnic (diff).

-sa lub -sA
    Określa, że należy szukać oryginalnych źródeł w postaci archiwum tar lub katalogu. Jeśli podano drugi argument może wskazywać on plik lub katalog, albo być pustym ciągiem znaków (co jest równoważne użyciu -sn). Jeśli znaleziony zostanie plik tar, będzie on rozpakowany w celu utworzenia pliku różnic, po czym zostanie on usunięty (co jest równoważne -sp). Jeśli zostanie znaleziony katalog, będzie on spakowany w celu utworzenia archiwum źródłowego, po czym zostanie on usunięty (co jest równoważne -sr).

Opcje rozpakowywania (z -x):

We wszystkich przypadkach, istniejące oryginalne drzewo ze źródłami będzie usunięte.

-sp Jeśli zostanie użyta przy wypakowywaniu, wtedy oryginalne źródła (jeśli są) pozostaną w formie archiwum tar. Jeśli archiwum nie ma jeszcze w bieżącym katalogu, lub gdy istnieje ale jest to inny plik, zostanie tam skopiowane. (Jest to zachowanie domyślne).

-su Rozpakowuje oryginalne drzewo źródeł programu.

-sn Zapewnia, że oryginalne źródła nie będą kopiowane do bieżącego katalogu ani rozpakowywane. We wszystkich przypadkach, istniejący katalog ze źródłami będzie usunięty z bieżącego katalogu.

Wszystkie spośród opcji -s-X się wzajemnie wykluczają. Jeśli zostanie podana więcej niż jedna, to zostanie użyta ostatnia z nich.

--skip-debianization
    Pomija wykorzystanie różnic Debiana (debian diff) do nałożenia łatek na oryginalne źródła.

  Format: 2.0
Znany również jako wig&pen. Ten format nie jest zalecany do szerokiego stosowania, zastępuje go format "3.0 (quilt)". Wig&pen był pierwszą specyfikacją nowej generacji formatu pakietów źródłowych. Zachowanie dla tego formatu jest takie samo jak dla "3.0 (quilt)" z tą różnicą, że nie używa jawnej listy łatek. Wszystkie pliki w katalogu debian/patches/ pasujące do wyrażenia regularnego Perla [\w-]+ muszą być prawidłowymi łatkami: są one nakładane podczas rozpakowywania. Podczas budowania nowego pakietu źródłowego, wszystkie zmiany w stosunku do kodu źródłowego pochodzącego od autorów programu są zapisywane w łatce o nazwie zz_debian-diff-auto.

  Format: 3.0 (native)
Ten format jest rozszerzeniem natywnego formatu pakietów zdefiniowanego w formacie w wersji 1.0. Obsługuje wszystkie metody kompresji i domyślnie ignoruje pliki i katalogi specyficzne dla systemów kontroli wersji, jak również wiele typów plików tymczasowych (proszę sprawdzić opis domyślnej wartości opcji -I w informacjach uzyskiwanych poleceniem --help).

  Format: 3.0 (quilt)
A source package in this format contains at least an original tarball (.orig.tar.ext where ext can be gz, bz2, lzma and xz) and a debian tarball (.debian.tar.ext). It can also contain additional original tarballs (.orig-component.tar.ext). component can only contain alphanumeric characters and dashes ("-").

Rozpakowywanie

Najpierw rozpakowywane jest główne oryginalne archiwum tar, następnie rozpakowywane są dodatkowe oryginalne archiwa tar do podkatalogów nazwanych od części komponent z ich nazwy pliku (istniejące katalogi o takich nazwach są zamieniane). Na końcu rozpakowywane jest archiwum debian, po uprzednim usunięciu katalogu debian (jeśli taki istniał). Należy zauważyć, że archiwum debian musi zawierać podkatalog debian, ale może również zawierać pliki binarne poza tym katalogiem (proszę sprawdzić opcję --include-binaries).

Następnie nakładane są wszystkie łatki wymienione w debian/patches/debian.series lub debian/patches/series. Jeśli jest użyty pierwszy z tych plików a drugi z nich nie istnieje (lub jest łączem symbolicznym), wtedy ten drugi plik jest zastępowany łączem symbolicznym do pierwszego pliku. Ma to uprościć używanie quilt do zarządzania zbiorem łatek. Należy zauważyć, że o ile dpkg-source poprawnie przetwarza pliki series z podanymi jawnie opcjami programu patch (zapisanymi w każdej z linii po nazwie pliku z łatką i jednej lub więcej spacji), to jednak ignoruje te opcje i zawsze oczekuje łatek, które można nałożyć używając opcji -p1 programu patch. Po napotkaniu takich opcji wysyłane jest ostrzeżenie, zaś proces budowania prawdopodobnie się nie powiedzie.

Podobnie do domyślnego zachowania quilt, łatki mogą także usuwać pliki.

The file .pc/applied-patches is created if some patches have been applied during the extraction.

Budowanie

All original tarballs found in the current directory are extracted in a temporary directory by following the same logic as for the unpack, the debian directory is copied over in the temporary directory, and all patches except the automatic patch (debian-changes-version or debian-changes, depending on --single-debian-patch) are applied. The temporary directory is compared to the source package directory and the diff (if non-empty) is stored in the automatic patch. If the automatic patch is created/deleted, it's added/removed from the series file and from the quilt metadata. Any change on a binary file is not representable in a diff and will thus lead to a failure unless the maintainer deliberately decided to include that modified binary file in the debian tarball (by listing it in debian/source/include-binaries). The build will also fail if it finds binary files in the debian sub-directory unless they have been whitelisted through debian/source/include-binaries. Zaktualizowany katalog debian oraz lista zmodyfikowanych plików binarnych są następnie używane do powtórnego wygenerowania archiwum debian. Automatycznie wygenerowany plik różnic nie zawiera zmian w plikach specyficznych dla systemów kontroli wersji, jak również w wielu typach plików tymczasowych (proszę sprawdzić opis domyślnej wartości opcji -i w informacjach uzyskiwanych poleceniem --help). W szczególności, katalog .pc używany przez quilt jest ignorowany podczas automatycznego generowania łatki. Note: dpkg-source expects the source tree to have all patches listed in the series file applied when you generate the source package. This is not the case when the source tree has been obtained by unpacking a source package using the Format: 1.0 for instance. To mitigate the problem, dpkg-source will apply the patches by itself if it believes that they have not yet been applied. To detect this situation, it uses the following heuristic: it finds the list of supposedly unapplied patches (they are listed in the series file but not in .pc/applied-patches), and if the first patch in that set can be applied without errors, it will apply them all. The option --no-preparation can be used to disable this behaviour.

Opcje budowania

--allow-version-of-quilt-db=version
    Allow dpkg-source to build the source package if the version of the quilt metadata is the one specified, even if dpkg-source doesn't know about it. Effectively this says that the given version of the quilt metadata is compatible with the version 2 that dpkg-source currently supports. The version of the quilt metadata is stored in .pc/.version.

--include-removal
    Usunięte pliki nie będą ignorowane, ale będą włączone do automatycznie generowanej łatki.

--include-timestamp
    Włączenie czasu modyfikacji w automatycznie generowanej łatce.

--include-binaries
    Dodanie wszystkich zmodyfikowanych plików binarnych do archiwum debian. Są one również dodawane do debian/source/include-binaries: dzięki temu będą domyślnie dodawane przy następnych budowach pakietu, zaś ta opcja nie będzie już więcej potrzebna.

--no-preparation
    Nie próbuje przygotowywać drzewa budowania poprzez nakładanie łatek, które wyraźnie nie są nałożone.

--single-debian-patch
    Use debian/patches/debian-changes instead of debian/patches/debian-changes-version for the name of the automatic patch generated during build. This option is particularly useful when the package is maintained in a VCS and a patch set can't reliably be generated. Instead the current diff with upstream should be stored in a single patch. When using this option, it is recommended to create a debian/source/patch-header file explaining how the Debian changes can be best reviewed, for example in the VCS that is used.

Opcje rozpakowywania

--skip-debianization
    Pomija rozpakowanie archiwum debian z włączeniem jego zawartości na oryginalne źródła.

--skip-patches
    Nie nakłada łatek po skończeniu rozpakowywania.

  Format: 3.0 (custom)
Ten format jest szczególny. Nie jest prawdziwym formatem pakietu źródłowego, ale może być użyty do stworzenia pakietu źródłowego zawierającego dowolne pliki.

Opcje budowania

Wszystkie argumenty nie będące opcjami są uważane za pliki, które mają być zintegrowane z generowanym pakietem źródłowym. Pliki te muszą istnieć i najlepiej powinny być w bieżącym katalogu. Musi być podany przynajmniej jeden plik.

--target-format=wartość
    Wymagane. Określa prawdziwy format generowanego pakietu źródłowego. Generowany plik .dsc będzie zawierać tą wartość w swoim polu Format zamiast "3.0 (custom)".

  Format: 3.0 (git) oraz 3.0 (bzr)
Te formaty są eksperymentalne. Generują pojedyncze archiwa tar zawierające odpowiednie repozytoria systemu kontroli wersji.

Rozpakowywanie

Archiwum tar jest rozpakowywane i system kontroli wersji jest używany aby pobrać aktualną gałąź kodu.

Budowanie

Nie zagłębiając się dalej, wykonywane są pewne testy aby upewnić się, czy nie ma żadnych niezatwierdzonych zmian, które nie są ignorowane.

Następnie część katalogu źródeł specyficzna dla systemu kontroli wersji jest kopiowana do katalogu tymczasowego. Przed tym katalog tymczasowy jest pakowany do archiwum tar i wykonywane są różne czynności porządkowe, aby zaoszczędzić miejsce.

FORMATY PLIKÓW

  debian/source/format
Plik ten zawiera w pojedynczej linii określenie formatu, który powinien zostać użyty do zbudowania pakietu źródłowego (dostępne formaty opisane są wyżej). Niedozwolone są początkowe i końcowe znaki spacji.

  debian/source/include-binaries
Plik ten zawiera listę plików binarnych (po jednym w każdej linii), które powinny być zawarte w archiwum debian. Początkowe i końcowe znaki spacji są usuwane. Linie rozpoczynające się od "#" są traktowane jak komentarze i są pomijane, puste linie są ignorowane.

  debian/source/options
This file contains a list of long options that should be automatically prepended to the set of command line options of a dpkg-source -b or dpkg-source --print-format call. Options like --compression and --compression-level are well suited for this file.

Each option should be put on a separate line. Empty lines and lines starting with "#" are ignored. The leading "--" should be stripped and short options are not allowed. Optional spaces are allowed around the "=" symbol and optional quotes are allowed around the value. Here's an example of such a file:

  # let dpkg-source create a debian.tar.bz2 with maximal compression
  compression = "bzip2"
  compression-level = 9
  # use debian/patches/debian-changes as automatic patch
  single-debian-patch

Note: format options are not accepted in this file, you should use debian/source/format instead.

  debian/source/patch-header
Free form text that is put on top of the automatic patch generated in formats "2.0" or "3.0 (quilt)".

  debian/patches/series
Plik ten zawiera listę wszystkich łatek, jakie powinny być nałożone (w określonej kolejności) na kod oryginalnego pakietu źródłowego. Początkowe i końcowe znaki spacji są usuwane. Linie rozpoczynające się od "#" są traktowane jak komentarze i są pomijane, puste linie są ignorowane. Pozostałe linie zawierają nazwy plików łatek (względem katalogu debian/patches/), aż do pierwszego napotkanego znaku spacji lub końca linii. Opcjonalne opcje programu quilt następują do końca linii lub pierwszego znaku "#", poprzedzonego co najmniej jedną spacją (co rozpoczyna komentarz ciągnący się aż do końca linii).

BŁĘDY
Punkt, w którym następuje nadpisywanie pól w porównaniu do pewnych standardowych ustawień pól wyjściowych jest dość zagmatwany.

ZOBACZ TAKŻE
dpkg-deb(1), dpkg(1), dselect(1).

AUTORZY
Copyright © 1995-1996 Ian Jackson
Copyright © 2000 Wichert Akkerman
Copyright © 2008-2009 Raphaël Hertzog

Niniejszy program jest oprogramowaniem wolnym, sprawdź Powszechną Licencję Publiczną GNU w wersji drugiej lub późniejszej, by dowiedzieć się o warunkach dystrybucji. Brak JAKIEJKOLWIEK gwarancji.

TŁUMACZE
Piotr Roszatycki <dexter@debian.org>, 1999
Bartosz Feński <fenio@debian.org>, 2004-2005
Robert Luberda <robert@debian.org>, 2006-2008
Wiktor Wandachowicz <siryes@gmail.com>, 2008